Subject: bug#44540: 27.1.50; Regression when evaluating signalling forms in *scratch*

From: "Basil L. Contovounesios" <[email-masked]>
Date: Mon, 09 Nov 2020 23:18:12 +0000

Philipp Stephani <[email-masked]> writes:

> Am Mo., 9. Nov. 2020 um 21:51 Uhr schrieb Basil L. Contovounesios
> <[email-masked]>:
>>
>> Eli Zaretskii <[email-masked]> writes:
>>
>> >> From: Philipp Stephani <[email-masked]>
>> >> Date: Mon, 09 Nov 2020 20:54:14 +0100
>> >>
>> >>
>> >> Select the *scratch* buffer and enter
>> >>
>> >> (car 123)
>> >>
>> >> Then hit C-j.  In Emacs 26, this will correctly pop up the debugger.  In
>> >> the Emacs 27 release branch, however, you'll get an error
>> >>
>> >> Symbol’s function definition is void: cl-print-to-string-with-limit
>> >
>> > I can't reproduce this: I get the debugger's backtrace, as expected.
>>
>> Same here.
>
> What happens if you check out the same repository version,
> f5d7fb3a2dee3f9ae49151e3d01483aad7fb734b?

Same thing, (wrong-type-argument listp 123).

[ Sorry, I mistakenly included the report-emacs-bug output from a
  different, stale build in my last message. ]

Have you tried 'make bootstrap'?

-- 
Basil

In GNU Emacs 27.1.50 (build 10, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0, Xaw3d scroll bars)
 of 2020-11-09 built on thunk
Repository revision: f5d7fb3a2dee3f9ae49151e3d01483aad7fb734b
Repository branch: HEAD
Windowing system distributor 'The X.Org Foundation', version 11.0.12008000
System Description: Debian GNU/Linux bullseye/sid

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit
Entering debugger...

Configured using:
 'configure 'CC=ccache gcc' 'CFLAGS=-O0 -g3 -ggdb -gdwarf-4'
 --config-cache --prefix=/home/blc/.local --program-suffix=27
 --enable-checking=yes,glyphs --enable-check-lisp-object-type
 --with-x-toolkit=lucid --with-file-notification=yes --with-x
 --with-cairo'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB
NOTIFY INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT
LIBOTF ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS
LIBSYSTEMD JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_IE.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Debugger

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t